﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Olap;
using System.Collections;

namespace FromDataSet
{
   public  interface IAggregator
    {
         string Identity { get; }

        IAggregationResult Evaluate(IAggregationResult a, 
                                    IAggregateable b, 
                                    IEnumerable c);
        IAggregationResult Evaluate(IAggregationResult a, 
                                    IEnumerable b);

    }
    public interface IAggregateable
    {
        IAggregator Aggregator { get; set; }
        object GetValue(object instance);
    }

   


}
